Skip to main content
GET
/
credit-notes
List credit notes
curl --request GET \
  --url https://api.alguna.io/credit-notes \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attachments": [
        {
          "file_url": "<string>",
          "title": "Credit Note PDF"
        }
      ],
      "created_at": "2026-04-01T10:00:00Z",
      "currency": "USD",
      "customer_id": "cust_01H1VECT",
      "description": "Overcharge credit",
      "external_reference": "<string>",
      "id": "cn_01H1VECT",
      "is_pdf_available": true,
      "line_items": [
        {
          "billing_period_end": "2026-01-31T23:59:59Z",
          "billing_period_start": "2026-01-01T00:00:00Z",
          "description": "Platform usage credit",
          "id": "cnli_01H1VECT",
          "is_editable": true,
          "quantity": "1",
          "total_price": "100.00",
          "unit_price": "100.00",
          "additional_description": "<string>",
          "invoice_line_item_id": "<string>",
          "product_id": "prod_01H1VECT",
          "tax_amount": "10.00",
          "tax_rate": "0.10"
        }
      ],
      "status": "draft",
      "subtotal": "100.00",
      "sync_enabled": true,
      "tax": "10.00",
      "total": "110.00",
      "updated_at": "2026-04-01T12:30:00Z",
      "accounting_credit_note_id": "<string>",
      "accounting_credit_note_url": "<string>",
      "accounting_integration_id": "<string>",
      "accounting_provider": "<string>",
      "apply_date": "2026-03-01T00:00:00Z",
      "billing_period_end": "2026-01-31T23:59:59Z",
      "billing_period_start": "2026-01-01T00:00:00Z",
      "credit_date": "2026-03-01T00:00:00Z",
      "invoice_id": "<string>",
      "last_refund_date": "2023-11-07T05:31:56Z",
      "last_refund_id": "<string>",
      "legal_entity_id": "<string>",
      "purchase_order_number": "<string>",
      "void_date": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "per_page": 20,
    "total_pages": 5
  }
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Query Parameters

customer_id
string
required

Customer ID to list credit notes for

Example:

"cust_01H1VECT"

limit
integer<int64>
required

Number of items to return per page

Example:

20

offset
integer<int64>
required

Number of items to skip

Example:

0

Response

Success

data
object[]
required

List of credit notes

pagination
object
required

Pagination metadata